PHPでCMSを開発しているのですが、独自コーディング仕様をなるべく避けたいのと、なるべく開発工数を減らしたいのが目的で

フレームワークを導入しようと思っています。
以下の条件をクリアできるおすすめフレームワークがありましたら教えていただけますでしょうか。
1.開発環境はPHP5+PostgreSQL(またはMySQL)に対応している
2.信頼性が高い
3.ドキュメント(日本語)が豊富、または書籍も多数存在している
宜しくお願い致します。

回答の条件
  • URL必須
  • 1人20回まで
  • 登録:2007/10/17 21:28:57
  • 終了:2007/10/24 21:30:04

回答(3件)

id:wizemperor No.1

wizemperor回答回数379ベストアンサー獲得回数522007/10/17 21:51:34

ポイント27pt

フレームワークの書籍は、まだまだ少ないと思いますが、

フレームワークとしてはsymfonyなんかいいんじゃないでしょうか。米Yahoo!でも使われてますし、日本語の情報は多めだと思います。

http://symfony.jp/

個人的にはCakePHPに注目していて、日本語の情報もかなり出てきている感じです。

http://cakephp.jp/modules/newbb/

こちらもまもなく公認の書籍が発売みたいです。

id:sivaemon

ありがとうございます。私もCakePHPは注目していたので、こちらでも比較してみます。

2007/10/18 12:16:22
id:nob0018 No.2

nob0018回答回数12ベストアンサー獲得回数02007/10/17 22:51:24

ポイント27pt

日本語のドキュメントが豊富という点を考慮すると、XOOPSがお勧めです。

ただし、モジュールの中にはPHP5に対応していないものがございます。

http://xoopscube.jp/

日本語のドキュメントは少ないですが、個人的にはJoomla!も日本語化されている高機能CMSになりますので、3番の点について目をつぶれるのでしたら、海外を含めると豊富なモジュール量になりますので、お勧めです。

http://www.joomla.jp/

id:sivaemon

CMSを探しているのではなく、CMSそのものを開発しております。私の文章にやや語弊があるみたいですね。すいません。

2007/10/18 13:43:53
id:whitecat77 No.3

whitecat77回答回数32ベストアンサー獲得回数22007/10/18 00:19:23

ポイント26pt

XOOPSがメジャーです。

http://xoopscube.jp/


環境は、

・PHP4.3.2 以降

(4.3.11以降を推奨 標準パッケージでは、PHP5に対応していますが、一般に配布されているモジュールには未対応のものもあります)

・MySQL4.0.xx(4.1以降推奨)

MySQL5では文字化けの問題があるようですが、対処可能なようです。


xoopsはモジュールも多く、機能はとても充実しています。

書籍も出ていますし、とっかかりやすいCMSだと思います。

id:sivaemon

CMSを探しているのではなく、CMSそのものを開発しております。私の文章にやや語弊があるみたいですね。すいません。

2007/10/18 13:44:15

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません